libcuda1_390.116-1_i386.deb


Advertisement

Description

libcuda1 - NVIDIA CUDA Driver Library

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Nonfree i386
Package filename libcuda1_390.116-1_i386.deb
Package name libcuda1
Package version 390.116
Package release 1
Package architecture i386
Package type deb
Category non-free/libs role::shared-lib
Homepage https://www.nvidia.com/CUDA
License -
Maintainer Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Download size 1.71 MB
Installed size 8.98 MB
The Compute Unified Device Architecture (CUDA) enables NVIDIA
graphics processing units (GPUs) to be used for massively parallel
general purpose computation.
This package contains the CUDA Driver API library for low-level CUDA
programming.
Supported NVIDIA devices include GPUs starting from GeForce 8 and Quadro FX
series, as well as the Tesla computing processors.
Please see the nvidia-kernel-dkms or
nvidia-kernel-source packages
for building the kernel module required by this package.
This will provide nvidia-kernel-390.116.

Alternatives

Package Version Architecture Repository
libcuda1_390.116-1_amd64.deb 390.116 amd64 Debian Nonfree
libcuda1 - - -

Requires

Name Value
libc6 >= 2.3.6-6~
libnvidia-fatbinaryloader = 390.116-1
nvidia-alternative = 390.116-1
nvidia-legacy-check >= 343
nvidia-support -

Provides

Name Value
libcuda-5.0-1 -
libcuda-5.0-1-i386 -
libcuda-5.5-1 -
libcuda-5.5-1-i386 -
libcuda-6.0-1 -
libcuda-6.0-1-i386 -
libcuda-6.5-1 -
libcuda-6.5-1-i386 -
libcuda-7.0-1 -
libcuda-7.0-1-i386 -
libcuda-7.5-1 -
libcuda-7.5-1-i386 -
libcuda-8.0-1 -
libcuda-8.0-1-i386 -
libcuda-9.0-1 -
libcuda-9.0-1-i386 -
libcuda-9.1-1 -
libcuda-9.1-1-i386 -
libcuda1-any -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcuda1_390.116-1_i386.deb
Source Package nvidia-graphics-drivers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcuda1 deb package:
    # sudo apt-get install libcuda1

Files

Path
/usr/lib/i386-linux-gnu/nvidia/current/libcuda.so
/usr/lib/i386-linux-gnu/nvidia/current/libcuda.so.1
/usr/lib/i386-linux-gnu/nvidia/current/libcuda.so.390.116
/usr/share/bug/libcuda1/control
/usr/share/bug/libcuda1/script
/usr/share/doc/libcuda1/changelog.Debian.gz
/usr/share/doc/libcuda1/changelog.gz
/usr/share/doc/libcuda1/copyright
/usr/share/lintian/overrides/libcuda1

Changelog

2019-03-12 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.116-1) stretch; urgency=medium
* New upstream legacy branch release 390.116 (2019-02-22).
* Fixed CVE‑2018‑6260.  (Closes: #913467)
https://nvidia.custhelp.com/app/answers/detail/a_id/4772
- Fixed build failures which resulted in errors like "implicit declaration
of function drm_...", when building the NVIDIA DRM kernel module for Linux
kernel 5.0 release candidates.
- Fixed a bug which could cause VK_KHR_external_semaphore_fd operations
to fail.
- Fixed a build failure, "implicit declaration of function
'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux
kernel 4.20 release candidates.
- Fixed a build failure, "unknown type name 'ipmi_user_t'", when building
the NVIDIA kernel module for Linux kernel 4.20 release candidates.
- Fixed a bug that caused mode switches to fail when an SDI output board was
connected.
- Fixed a bug that could cause rendering corruption in Vulkan programs.
- Fixed a bug that caused vkGetPhysicalDeviceDisplayPropertiesKHR() to
occasionally return incorrect values for physicalResolution.
* New upstream legacy branch release 340 series.
- Fixed a build failure, "too many arguments to function 'get_user_pages'",
when building the NVIDIA kernel module for Linux kernel v4.4.168.
- Fixed a build failure, "implicit declaration of function do_gettimeofday",
when building the NVIDIA kernel module for Linux kernel 5.0 release
candidates.
- Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers,
to allow restricting the use of GPU performance counters to system
administrators only.
[ Luca Boccassi ]
* Drop kmem_cache_create_usercopy.patch, drm-mode.patch,
ipmi-user.patch, vm-insert-pfn.patch: fixed upstream.
* Update symbols files.
[ Andreas Beckmann ]
* nvidia-detect: stretch now has a 390.xx driver.
* nvidia-kernel-source: Bump debhelper dependency to match Build-Depends.
* Upload to stretch.
2019-02-06 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-8~deb9u1) stretch; urgency=medium
* Rebuild for stretch.
2019-02-04 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-8) unstable; urgency=medium
* Tune more package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
2019-02-02 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-7) unstable; urgency=medium
* Updated French (fr) debconf translations by Quentin Lejard.
(Closes: #920940)
* Use d/control.md5sum to keep track of d/control being up-to-date.
* Tune package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
* Drop versioned constraints that are satisfied in wheezy.
2019-01-08 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-6) unstable; urgency=medium
[ Luca Boccassi ]
* Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for
Linux 4.20 and newer.  (Closes: #917586)
* Update Swedish (sv) debconf translation. Thank you Martin Bagge!
(Closes: #918018)
2018-12-24 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-5) unstable; urgency=medium
* Prefer KBUILD_LDFLAGS (used since 4.19) over LDFLAGS.  (Closes: #916883)
* Work around update-alternatives bug #916799 and re-register the
alternative to clean-up leftover slaves.
* Bump Standards-Version to 4.3.0. No changes needed.
* Update lintian overrides.

See Also

Package Description
libcupti-doc_8.0.44-4_all.deb NVIDIA CUDA Profiler Tools Interface documentation
libegl-nvidia0_390.116-1_i386.deb NVIDIA binary EGL library
libegl1-glvnd-nvidia_390.116-1_i386.deb Vendor neutral GL dispatch library -- libEGL
libegl1-nvidia-legacy-340xx_340.106-2~deb9u1_i386.deb NVIDIA binary EGL library (340xx legacy version)
libegl1-nvidia_390.116-1_i386.deb NVIDIA binary EGL library (non-GLVND variant)
libfaac-dev_1.28+cvs20151130-1+b1_i386.deb AAC audio encoder (development)
libfaac0_1.28+cvs20151130-1+b1_i386.deb AAC audio encoder (library)
libfdk-aac-dev_0.1.4-2+b1_i386.deb Fraunhofer FDK AAC Codec Library - development files
libfdk-aac1_0.1.4-2+b1_i386.deb Fraunhofer FDK AAC Codec Library - runtime files
libgeotiff-epsg_1.4.2-1_all.deb GeoTIFF library -- EPSG Geodetic Parameter Dataset
libgl1-glvnd-nvidia-glx_390.116-1_i386.deb Vendor neutral GL dispatch library -- libGL
libgl1-nvidia-glvnd-glx_390.116-1_i386.deb NVIDIA binary OpenGL/GLX library (GLVND variant)
libgl1-nvidia-glx_390.116-1_i386.deb NVIDIA binary OpenGL/GLX library (non-GLVND variant)
libgl1-nvidia-legacy-304xx-glx_304.137-5~deb9u1_i386.deb NVIDIA binary OpenGL/GLX library (304xx legacy version)
libgl1-nvidia-legacy-340xx-glx_340.106-2~deb9u1_i386.deb NVIDIA binary OpenGL/GLX library (340xx legacy version)
Advertisement
Advertisement